List project API keys
Return a list of API keys in the project.
In: header
Path Parameters
The ID of the project.
^[0-9a-fA-F]{24}$Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
1001 <= value <= 200A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.
Header Parameters
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
Response Body
curl -X GET "https://loading/v1/organization/projects/5eb7cf5a86d9755df3a6c593/api_keys?limit=100&after=5eb7cf5a86d9755df3a6c593" \ -H "OpenAI-Organization: string"{
"object": "list",
"data": [
{
"id": "5eb7cf5a86d9755df3a6c593",
"object": "organization.project.api_key",
"redacted_value": "string",
"name": "string",
"created_at": 0,
"last_used_at": 0
}
],
"first_id": "5eb7cf5a86d9755df3a6c593",
"last_id": "5eb7cf5a86d9755df3a6c593",
"has_more": false
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.